# Interface methods for submodule: LabelToRGBImageFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import InPlaceImageFilterProxy as _InPlaceImageFilterProxy


# Interface methods for class: LabelToRGBImageFilter
class LabelToRGBImageFilterProxy(_InPlaceImageFilterProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def GetFunctor(self):
		""""""
		...

	def SetFunctor(self, functor) -> None:
		""""""
		...

	def SetBackgroundValue(self, _arg: int) -> None:
		""""""
		...

	def GetBackgroundValue(self) -> int:
		""""""
		...

	def SetBackgroundColor(self, _arg: Tuple[int, int, int]) -> None:
		""""""
		...

	def GetBackgroundColor(self) -> Tuple[int, int, int]:
		""""""
		...

	def ResetColors(self) -> None:
		""""""
		...

	def GetNumberOfColors(self) -> int:
		""""""
		...

	def AddColor(self, r: int, g: int, b: int) -> None:
		""""""
		...

